=== debian/changelog ===
mrpt (1:0.9.5svn2717-1) unstable; urgency=low

  * New version of upstream sources.

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Wed, 19 Oct 2011 17:56:49 +0200

mrpt (1:0.9.4svn2546-1) unstable; urgency=low

  * New version of upstream sources.
  * Fixed build errors with GCC 4.6. Debian (Closes: #625075), Ubuntu (Closes: #770953).

 -- Jose Luis Blanco (University of Malaga) <joseluisblancoc@gmail.com>  Sat, 04 Jun 2011 02:27:43 +0200
